%define modname eunuchs
Name:           python-%{modname}
Version:        20050320.1
Release:        3.3
Summary:        Missing Manly Parts of the UNIX API for Python
URL:            http://packages.debian.org/stable/python/python-eunuchs
License:        LGPL
Group:          Development/Libraries/Python
Source:         %{modname}_%{version}-0.1.tar.bz2
Patch:          eunuchs-fix-warning.patch
BuildRoot:      %{_tmppath}/%{name}-buildroot
%{py_requires}
BuildRequires:  python-devel

%description
Eunuchs is a library of Python extensions that complement the standard
libraries in parts where full support for the UNIX API (or the Linux API) is
missing.

Most of the functions wrapped by Eunuchs are low-level, dirty, but absolutely
necessary functions for real systems programming. The aim is to have the
functions added to mainstream Python libraries.

Current list of features included:
  - recvmsg(2) and sendmsg(2), including use of cmsg(3)
  - socketpair(2)
  - support for TUN/TAP virtual network interfaces

Authors:
--------
    Tommi Virtanen <tv@debian.org>

%prep
%setup -q -n %{modname}-%{version}
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc examples

%changelog

* Thu Dec 11 2008 - James Oakley <jfunk@funktronics.ca> - 20050320.1-1
- Initial release
